
% Compensate shifts of the MZ wavelet transform.
% Aleksandra Pizurica TELIN/UGent May 2004.

function D_unshift=UnshiftMZwavelet(D,shift,direction);

[M,N]=size(D);

if(direction==1)
    De(:,shift+1:N+shift)=D;
    De(:,1:shift)=D(:,N-shift+1:N);
    D_unshift=De(:,1:N);
else
    De(shift+1:M+shift,:)=D;
    De(1:shift,:)=D(M-shift+1:M,:);
    D_unshift=De(1:M,:);
end